Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040539
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2019-04-05 14:102020-01-14 12:43
ReporterJONHMView Statuspublic 
Assigned Tononofrancisco 
PriorityhighResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisione4ecb0f34be7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040539: Physical inventory transactions are always created at legal level

DescriptionWhen running Inventory Amount Update process to create Physical inventory transactions, those are being created at legal level, and it would be fine to create them at the same entity defined for the warehouse.
Steps To ReproduceOpen "Inventory Amount Update" window and create a new header:
 * Org: F&B España, S.A
 * Doc type: Inventory Amount Update

Create a new line:
 * Org: F&B España, S.A
 * Product: Agua sin Gas 1L
 * Inventory amount: 2
 * Unit cost: 1
And finally process the line.

When switching to the [Inventories] tab and opening the related Physical inventory (Close inventory field), you can check that the warehouse defined is "España Región Sur", but the related organization is "F&B España, S.A" instead of "F&B España Region Sur".
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0042398 closedcollazoandy4 When validating a new costing rule, physical inventories should be created in the warehouse's organization 
causes defect 0042847 closedAtulOpenbravo Inventory Amount Update process tries to create Physical Inventories in organizations no trx allowed 

-  Notes
(0111115)
nonofrancisco (developer)
2019-04-12 23:16

Open "Inventory Amount Update" window and create a new header:
 * Org: F&B España, S.A
 * Doc type: Inventory Amount Update

Create a new line:
 * Org: F&B España, S.A
 * Product: Agua sin Gas 1L
 * Inventory amount: 2
 * Unit cost: 1
And finally process the line.

Go to Inventories tab, open the line
Navigate to Close Inventory
Verify the Organization is "F&B España Region Sur"
Back in Inventory tab navigate to Init Inventory
Verify the Organization is "F&B España Region Sur"
(0111198)
hgbot (developer)
2019-04-17 16:52

Repository: erp/devel/pi
Changeset: e4ecb0f34be7fcdd0626f218bf39fe5573ea0fff
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Wed Apr 17 11:42:09 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e4ecb0f34be7fcdd0626f218bf39fe5573ea0fff [^]

Fixes issue 40539: Sets warehouse organization in physical inventories

When creating Physical Inventories (init/close) at processing Physical Inventory
Amount Update, organization is set to the warehouse organization, instead of
the document organization.

---
M src/org/openbravo/costing/InventoryAmountUpdateProcess.java
---
(0111199)
hgbot (developer)
2019-04-17 16:52

Repository: erp/devel/pi
Changeset: 0436f5f5c68c24731db8fd9d68614b0dd6987439
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Apr 17 12:39:05 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0436f5f5c68c24731db8fd9d68614b0dd6987439 [^]

related to issue 40539 code review changes

Create a new variable for client and warehouse to use in all ocurrences

---
M src/org/openbravo/costing/InventoryAmountUpdateProcess.java
---
(0111200)
Sandrahuguet (developer)
2019-04-17 16:54

Code review + testing OK
(0111986)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test
(0111987)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-05 14:10 JONHM New Issue
2019-04-05 14:10 JONHM Assigned To => Triage Finance
2019-04-05 14:10 JONHM Modules => Core
2019-04-05 14:10 JONHM Triggers an Emergency Pack => No
2019-04-05 14:12 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-04-12 22:48 nonofrancisco Status new => scheduled
2019-04-12 23:16 nonofrancisco Note Added: 0111115
2019-04-17 16:52 hgbot Checkin
2019-04-17 16:52 hgbot Note Added: 0111198
2019-04-17 16:52 hgbot Status scheduled => resolved
2019-04-17 16:52 hgbot Resolution open => fixed
2019-04-17 16:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e4ecb0f34be7fcdd0626f218bf39fe5573ea0fff [^]
2019-04-17 16:52 hgbot Checkin
2019-04-17 16:52 hgbot Note Added: 0111199
2019-04-17 16:54 Sandrahuguet Review Assigned To => Sandrahuguet
2019-04-17 16:54 Sandrahuguet Note Added: 0111200
2019-04-17 16:54 Sandrahuguet Status resolved => closed
2019-04-17 16:54 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111986
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111987
2019-11-26 08:11 ngarcia Relationship added related to 0042398
2020-01-10 12:42 eugeni Issue Monitored: eugeni
2020-01-14 12:43 gorkaion Issue cloned 0042847
2020-01-14 12:43 gorkaion Relationship added causes 0042847


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker